package com.fjhx.service;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.base.BaseService;
import com.fjhx.entity.Classify;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 分类 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-06
 */
public interface ClassifyService extends BaseService<Classify> {

    List<JSONObject> getTree(Map<String, String> condition);

    void add(Classify classify);

    void edit(Classify classify);

    void delete(Classify classify);

    /**
     * 获取 分类id 和 分类子级id 数组
     *
     * @param classifyId 分类id
     * @return 分类id 和 分类子级id 数组
     */
    List<Long> getChildrenIdList(Long classifyId);

}
